This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 825818

Summary: [jdg] Duplicate infinspan resource
Product: [Other] RHQ Project Reporter: Libor Zoubek <lzoubek>
Component: PluginsAssignee: Heiko W. Rupp <hrupp>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: urgent    
Version: 4.4CC: ahovsepy, hrupp, jsanda, theute, ttarrant
Target Milestone: ---   
Target Release: JON 3.1.0   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=837362
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 826207 826228 (view as bug list) Environment:
Last Closed: 2013-09-03 11:08:29 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 826207, 707223, 826228, 829331    
Attachments:
Description Flags
JDG server.log
none
jdg server log
none
Screenshot none

Description Libor Zoubek 2012-05-28 10:49:34 EDT
Created attachment 587246 [details]
JDG server.log

Description of problem: Infinispan child resource of type Infinispan is detected twice.


Version-Release number of selected component (if applicable):
JON 3.1.ER6 JDG6.ER.10

How reproducible:always


Steps to Reproduce:
1.import JDG
2.run 'Install RHQ User'
3.wait for child resources 
  
Actual results:infinispan resource is shown twice, changing configuration of 1st one affect 2nd one, there is a bunch of NPEs in JDG log related to infinispan subsystem, but I am not sure whether they are related or not.


Expected results: infinispan resource should be present only once
Comment 1 Libor Zoubek 2012-05-29 04:08:56 EDT
Note that I've installed jon-plugin-pack-eap-3.1.0.ER6.zip and jon-plugin-pack-jdg-3.1.0.ER6.zip

it looks like jdg plugin overlaps with as7-plugin.
Comment 3 Mike Foley 2012-05-29 09:35:50 EDT
marking this URGENT/URGENT and JON 3.1 target
Comment 4 Tristan Tarrant 2012-05-29 11:32:50 EDT
As agreed with Heiko, the as7 plugin is going to hide the infinispan subsystem when it detects JDG. The JDG plugin will be aligned to the latest <resource-configuration> section from the as7 plugin. Also the JDG plugin should be the sole owner of the datagrid connector resources.
Comment 5 Charles Crouch 2012-05-29 11:57:48 EDT
Have clarified this issue with Heiko. This is not a *server* discovery issue (so not importing resources is not applicable here) rather its a service discovery issue, both the as7 and jdg plugin are discovering infinispan related services underneath a JDG server instance. Summary of the solution:

a) the as7 plugin when discovering infinispan services will check whether the jdg plugin is deployed. If it is not deployed then the discovery will work as it does today, if it is deployed then the as7 plugin will not discover infinispan related services it will defer to the jdg plugin.
b) the as7 plugin will be updated to remove references to the datagrid connector services since they are JDG specific, not part of EAP, and will be handled by the jdg plugin.
c) the jdg plugin will be updated to include all of the configuration elements for infinispan services currently in the as7 plugin.

This will require an ER11 build of the JDG plugin

Note: The conditional discovery detection mentioned in a) will only work if both the jdg and as7 plugins are deployed together. If the jdg plugin is deployed to the JON system after the JDG server resource has been discovered by the as7 plugin, then the special detection will not occur. In order to achieve that the JDG server resource would need to be uninventoried and rediscovered.
Comment 6 Mike Foley 2012-05-29 14:37:50 EDT
Release blocking per team decision.
Comment 8 Heiko W. Rupp 2012-05-29 16:54:05 EDT
release branch 0b46807
Comment 9 Armine Hovsepyan 2012-07-02 05:17:13 EDT
Created attachment 595683 [details]
jdg server log
Comment 10 Armine Hovsepyan 2012-07-02 05:22:56 EDT
hi all,


I'm sorry, bug is still visible.

versions used.

jon server: http://porkchop.devel.redhat.com/released/JBossON/3.1.0/GA/jon-server-3.1.0.GA.zip

eap plugin: http://porkchop.devel.redhat.com/released/JBossON/3.1.0/GA/jon-plugin-pack-eap-3.1.0.GA.zip

jdg plugin: http://porkchop.devel.redhat.com/released/JBossDG/6.0.0/jboss-datagrid-rhq-plugin-6.0.0.GA.zip

please get attached a fragment from datagrid server log.

Regards,
Armine
Comment 11 Heiko W. Rupp 2012-07-03 11:28:38 EDT
Is the JDG you were looking at the right version? In your log I see

16:28:00,299 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015874: JBoss Data Grid 6.0.0.ER11-redhat-1 (AS 7.1.2.Final-redhat-1) started in 5003ms

This works for me with all GA bits - see screen shot
Comment 12 Heiko W. Rupp 2012-07-03 11:29:23 EDT
Created attachment 595996 [details]
Screenshot
Comment 13 Armine Hovsepyan 2012-07-04 07:33:51 EDT
having into consideration https://bugzilla.redhat.com/show_bug.cgi?id=837362 - this bug is being marked as verified. 
no duplicate resource is being shown in jon gui.
Comment 14 Heiko W. Rupp 2013-09-03 11:08:29 EDT
Bulk closing of old issues in VERIFIED state.